export const order_columns = [
  {
    label: "订单编号",
    prop: "sequenceNo",
    minWidth: 180,
    align: "left"
  },
  {
    label: "购买方公司",
    prop: "customerName",
    minWidth: 180,
    align: "left"
  },
  {
    label: "销售方公司",
    prop: "companyName",
    minWidth: 180,
    align: "left"
  },
  {
    label: "商品名称",
    prop: "goodName",
    minWidth: 180,
    align: "left"
  },
  {
    label: "订单总金额",
    prop: "totalPrice",
    minWidth: 180,
    align: "left"
  },
  {
    prop: "apay_fee",
    label: "已付款"
  },
  {
    prop: "pay_fee",
    label: "付款中"
  },
  {
    prop: "wpay_fee",
    label: "未付款"
  },
  {
    label: "此次认领",
    prop: "cchx",
    minWidth: 180,
    align: "left"
  },
  {
    label: "交易时间",
    prop: "addtime",
    minWidth: 180,
    align: "left"
  }
];

export const order_status = [
  {
    value: "0",
    label: "未对账"
  },
  {
    value: "1",
    label: "参与对账"
  },
  {
    value: "2",
    label: "不参与核销对账"
  },
  {
    value: "3",
    label: "参与核销对账"
  }
];

//收款方
export const description_columns_in = [
  {
    label: "单位名称",
    field: "trade_in"
  },
  {
    label: "银行账号",
    field: "trade_in_account"
  },
  {
    label: "银行名称",
    field: "trade_in_blank"
  }
];

//付款方
export const description_columns_out = [
  {
    label: "单位名称",
    field: "trade_out"
  },
  {
    label: "银行账号",
    field: "trade_account"
  },
  {
    label: "银行名称",
    field: "trade_bank"
  },
  {
    label: "总金额",
    field: "total_fee"
  },
  {
    label: "余额",
    field: "balance"
  }
];

export const status_options = [
  {
    label: "待审核",
    value: "0"
  },
  {
    label: "财务审核",
    value: "1"
  },
  {
    label: "财务驳回",
    value: "2"
  }
];

export const sale_columns = [
  {
    type: "selection"
  },
  {
    field: "sequenceNo",
    label: "订单编号"
  },
  {
    field: "companyNo",
    label: "业务公司编号",
    width: 120
  },
  {
    field: "goodNo",
    label: "商品编号"
  },
  {
    field: "goodName",
    label: "商品名称"
  },
  {
    field: "companyName",
    width: 120,
    label: "业务公司名称"
  },
  {
    field: "apay_fee",
    label: "已付款"
  },
  {
    field: "pay_fee",
    label: "付款中"
  },
  {
    field: "wpay_fee",
    label: "未付款"
  },
  {
    field: "status",
    label: "订单状态"
  },
  {
    field: "qrdType",
    label: "订单类型"
  },
  {
    field: "qrdSource",
    label: "订单来源"
  },
  {
    field: "ownerName",
    label: "销售员"
  }
];

//销售单订单状态
export const sale_order_status = [
  {
    value: "0",
    label: "未核销"
  },
  {
    value: "1",
    label: "核销中"
  },
  {
    value: "2",
    label: "不参与核销"
  }
];

//销售单订单类型
export const sale_type = [
  {
    value: "1",
    label: "备库"
  },
  {
    value: "2",
    label: "非库存"
  },
  {
    value: "3",
    label: "咨询商品"
  }
];

//认领状态
export const capital_status = [
  {
    value: "1",
    label: "未认领"
  },
  {
    value: "2",
    label: "部分认领"
  },
  {
    value: "3",
    label: "已认领"
  }
];

export const capital_status_list = [
  {
    value: "1",
    label: "待审批"
  },
  {
    value: "2",
    label: "审批通过"
  },
  {
    value: "3",
    label: "审批驳回"
  }
];
